# ViewStatisticsLogisticRegression (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsLogisticRegression

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextClassification>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsLogisticRegression

- All Implemented Interfaces:
    IView
  Direct Known Subclasses:
    ViewStatisticsLogisticRegressionInput, ViewStatisticsLogisticRegressionOutput

      public abstract class ViewStatisticsLogisticRegression
      extends ViewStatistics<AnalysisContextClassification>

  This view displays a statistics about the performance of logistic regression classifiers

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

      `MINIMAL_WORKING_TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewStatisticsLogisticRegression(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart part)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Control` | `createControl(org.eclipse.swt.widgets.Composite parent)` Implement this to create the widget.
    `protected AnalysisContextClassification` | `createViewConfig(AnalysisContext context)`
    `protected void` | `doReset()` Implement this to reset.
    `protected void` | `doUpdate(AnalysisContextClassification context)` Implement this to update.
    `protected abstract java.lang.String[]` | `getColumnHeaders()` Returns all column headers
    `protected abstract java.util.List<java.lang.Double>` | `getColumnValues(StatisticsClassification result)` Returns all values for one row
    `protected ComponentStatusLabelProgressProvider` | `getProgressProvider()` Overwrite this to return a progress provider
    `LayoutUtility.ViewUtilityType` | `getType()` Returns the type
    `protected boolean` | `isRunning()` Is an analysis running
    `void` | `update(ModelEvent event)` Updates the view.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

      `dispose, getController, getModel, getParent, getTarget, isEnabled, reset, setStatusDone, setStatusEmpty, setStatusWorking, triggerUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewStatisticsLogisticRegression

          public ViewStatisticsLogisticRegression(org.eclipse.swt.widgets.Composite parent,
                                          Controller controller,
                                          ModelEvent.ModelPart part)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -
        `part` -

  - ### Method Detail

    - #### getType

          public LayoutUtility.ViewUtilityType getType()

      Description copied from class: `ViewStatistics`
      Returns the type
      Specified by:
        `getType` in class `ViewStatistics<AnalysisContextClassification>`
      Returns:

    - #### update

          public void update(ModelEvent event)

      Description copied from interface: `IView`
      Updates the view.
      Specified by:
        `update` in interface `IView`
      Overrides:
        `update` in class `ViewStatistics<AnalysisContextClassification>`

    - #### createControl

          protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

      Description copied from class: `ViewStatistics`
      Implement this to create the widget.
      Specified by:
        `createControl` in class `ViewStatistics<AnalysisContextClassification>`
      Returns:

    - #### createViewConfig

          protected AnalysisContextClassification createViewConfig(AnalysisContext context)

      Specified by:
        `createViewConfig` in class `ViewStatistics<AnalysisContextClassification>`
      Returns:

    - #### doReset

          protected void doReset()

      Description copied from class: `ViewStatistics`
      Implement this to reset.
      Specified by:
        `doReset` in class `ViewStatistics<AnalysisContextClassification>`

    - #### doUpdate

          protected void doUpdate(AnalysisContextClassification context)

      Description copied from class: `ViewStatistics`
      Implement this to update.
      Specified by:
        `doUpdate` in class `ViewStatistics<AnalysisContextClassification>`

    - #### getColumnHeaders

          protected abstract java.lang.String[] getColumnHeaders()

      Returns all column headers
      Returns:

    - #### getColumnValues

          protected abstract java.util.List<java.lang.Double> getColumnValues(StatisticsClassification result)

      Returns all values for one row
      Parameters:
        `result` -
      Returns:

    - #### getProgressProvider

          protected ComponentStatusLabelProgressProvider getProgressProvider()

      Description copied from class: `ViewStatistics`
      Overwrite this to return a progress provider
      Overrides:
        `getProgressProvider` in class `ViewStatistics<AnalysisContextClassification>`
      Returns:

    - #### isRunning

          protected boolean isRunning()

      Is an analysis running
      Specified by:
        `isRunning` in class `ViewStatistics<AnalysisContextClassification>`
      Returns: